System.Runtime.Serialization 4.0.0.0 System.Object

Use the if you are creating a Web service that must interoperate with an existing Web service, or to create data contract types from XML schemas. will transform a set of XML schemas and create the dnprdnshort types that represent the data contract in a selected programming language. To create the code, use the classes in the namespace.

Conversely, use the class when you have created a Web service that incorporates data represented by CLR types and when you need to export XML schemas for each data type to be consumed by other Web services. That is, transforms a set of CLR types into a set of XML schemas.

To generate CLR types from XML schemas at design time, use the Service Model Metadata Utility Tool (Svcutil.exe). To generated code from XSD files, use the `/dataContractOnly` switch of the tool. You can also use the if you need more control over the process or need to do it programmatically.

Allows the transformation of a set of XML schema files (.xsd) into common language runtime (CLR) types.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use this constructor to add more code into a that has already been generated.

  Initializes a new instance of the class with the that will be used to generate CLR code.

  The that will be used to store the code.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether the schemas contained in an can be transformed into a .

  true if the schemas can be transformed to data contract types; otherwise, false.

  A that contains the schemas to transform.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Gets a value that indicates whether the specified set of types contained in an can be transformed into CLR types generated into a .

  true if the schemas can be transformed; otherwise, false.

  A that contains the schemas to transform. An of that represents the set of schema types to import.
- Method
  4.0.0.0
  System.Boolean `` ``

  This method checks the type and all schema types referenced from it.

  Gets a value that indicates whether a specific schema element contained in an can be imported.

  true if the element can be imported; otherwise, false.

  An to import. A specific to check in the set of schemas.
- Method
  4.0.0.0
  System.Boolean `` ``

  For more information about types that can be imported, see Types Supported by the Data Contract Serializer.

  Gets a value that indicates whether the schemas contained in an can be transformed into a .

  true if the schemas can be transformed to data contract types; otherwise, false.

  A that contains the schema representations. An of that specifies the names of the schema types that need to be imported from the .
- Property
  4.0.0.0
  System.CodeDom.CodeCompileUnit To be added.

  Call this property after importing schemas using the to access the in which all the generated code is stored.

  Gets a used for storing the CLR types generated.

- Method
  4.0.0.0
  System.CodeDom.CodeTypeReference ``

  Use this method to look up the reference to a generated CLR type after calling the method. The contains the name of the generated type and can be used to look up the corresponding in the .

  Returns a to the CLR type generated for the schema type with the specified .

  A reference to the CLR type generated for the schema type with the specified.

  The that specifies the schema type to look up.
- Method
  4.0.0.0
  System.CodeDom.CodeTypeReference `` ``

  The schema element is needed for data about the type that is specified at the element scope. The main example of this is the XSD attribute nillable. In schema, setting nillable to true is specified on the containing schema element whereas the concept of null is expressed in the CLR type . The element is passed in so that this importer can look up the element-level information and return the correct type reference accordingly.

  When importing WSDL, each parameter is imported separately and therefore the parameter elements need to be passed in separately.

  Returns a for the specified XML qualified element and schema element.

  A that represents the type that was generated for the specified schema type.

  An that specifies the XML qualified name of the schema type to look up. An that specifies an element in an XML schema.
- Method
  4.0.0.0
  System.Collections.Generic.ICollection<System.CodeDom.CodeTypeReference> ``

  When generating CLR types for schema types, known types are also generated for all derived types that are present in the schema. In many cases, these known types are added using attributes to the generated code. (For example, see the class. ) However, for the top-level type, there needs to be a way to return the set of known types generated. This method returns the for known types that were generated for a specific schema type.

  For more information, see Data Contract Known Types.

  Returns a list of objects that represents the known types generated when generating code for the specified schema type.

  A of type .

  An that represents the schema type to look up known types for.
- Method
  4.0.0.0
  System.Void `` To be added.

  Transforms the specified set of XML schemas contained in an into a .

  A that contains the schema representations to generate CLR types for.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Transforms the specified set of schema types contained in an into CLR types generated into a .

  A that contains the schema representations. A (of ) that represents the set of schema types to import.
- Method
  4.0.0.0
  System.Xml.XmlQualifiedName `` `` To be added.

  Transforms the specified schema element in the set of specified XML schemas into a and returns an that represents the data contract name for the specified element.

  An that represents the specified element.

  An that contains the schemas to transform. An that represents the specific schema element to transform.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Transforms the specified XML schema type contained in an into a .

  A that contains the schema representations. A that represents a specific schema type to import.
- Property
  4.0.0.0
  System.Runtime.Serialization.ImportOptions To be added.

  Use the class to customize how the CLR types are generated during schema import.

  Gets or sets an that contains settable options for the import operation.